# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.trashcan_api import TrashcanApi  # noqa: E501
from swagger_client.rest import ApiException


class TestTrashcanApi(unittest.TestCase):
    """TrashcanApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.trashcan_api.TrashcanApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_delete_deleted_node(self):
        """Test case for delete_deleted_node

        Permanently delete a deleted node  # noqa: E501
        """
        pass

    def test_get_archived_node_rendition(self):
        """Test case for get_archived_node_rendition

        Get rendition information for a deleted node  # noqa: E501
        """
        pass

    def test_get_archived_node_rendition_content(self):
        """Test case for get_archived_node_rendition_content

        Get rendition content of a deleted node  # noqa: E501
        """
        pass

    def test_get_deleted_node(self):
        """Test case for get_deleted_node

        Get a deleted node  # noqa: E501
        """
        pass

    def test_get_deleted_node_content(self):
        """Test case for get_deleted_node_content

        Get deleted node content  # noqa: E501
        """
        pass

    def test_list_deleted_node_renditions(self):
        """Test case for list_deleted_node_renditions

        List renditions for a deleted node  # noqa: E501
        """
        pass

    def test_list_deleted_nodes(self):
        """Test case for list_deleted_nodes

        List deleted nodes  # noqa: E501
        """
        pass

    def test_request_archived_node_rendition_direct_access_url(self):
        """Test case for request_archived_node_rendition_direct_access_url

        Generate a direct access content URL  # noqa: E501
        """
        pass

    def test_request_deleted_node_direct_access_url(self):
        """Test case for request_deleted_node_direct_access_url

        Generate a direct access content URL  # noqa: E501
        """
        pass

    def test_restore_deleted_node(self):
        """Test case for restore_deleted_node

        Restore a deleted node  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
